### Method

# Cogl Pipeline set_color4ub

#### Declaration [src]

    void
    cogl_pipeline_set_color4ub (
      CoglPipeline* pipeline,
      uint8_t red,
      uint8_t green,
      uint8_t blue,
      uint8_t alpha
    )

#### Description [src]

Sets the basic color of the pipeline, used when no lighting is enabled.

The default value is (0xff, 0xff, 0xff, 0xff)

#### Parameters

`red`

  Type: `uint8_t`

  The red component.

`green`

  Type: `uint8_t`

  The green component.

`blue`

  Type: `uint8_t`

  The blue component.

`alpha`

  Type: `uint8_t`

  The alpha component.